/** 单证 --预装箱单 - 成衣 **/
import { getAction, postAction, deleteAction, putAction } from '@/api/manage'

// 分页列表查询
const getadPaList = params => getAction('/spapl/syPreAssembledPackingList/list2', params)

// 新增
const addAdvPac = params => postAction('/spapl/syPreAssembledPackingList/add', params)

//参照发运明细
const shipList = params => getAction('/spapl/syPreAssembledPackingList/list3', params)

// 详情
const itemByMainId = params => getAction('/spapl/syPreAssembledPackingList/queryById', params)

//编辑
const editById = params => postAction('/spapl/syPreAssembledPackingList/edit', params)

//  删除
const deleteAdPaList = params => deleteAction('/spapl/syPreAssembledPackingList/delete', params)

export { getadPaList, deleteAdPaList, itemByMainId, editById, addAdvPac, shipList }
